#ifndef BMP_INCLUDED
#define BMP_INCLUDED

#include <stdio.h>


typedef struct {
  int width, height;
  unsigned char* pixels;
} Image;


Image *ImageNew(int width, int height);
void   ImageFree(Image **img);
int    ImageIsValid(Image *img);
void   ImageSetPixels(Image *img, unsigned char* data);


// Writes an image to a BMP file.
void BMPWriteImage(Image *img, FILE *fp);



#endif // BMP_INCLUDED
